"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const BaseTransformer_1 = __importDefault(require("./BaseTransformer"));
class PaginationTransformer extends BaseTransformer_1.default {
    static fetch(meta) {
        if (!meta) {
            meta = { pagination: {}, include: [] };
        }
        if (!Object.prototype.hasOwnProperty.call(meta, 'pagination')) {
            return super.fetch(meta, true);
        }
        const { pagination = {}, include } = meta;
        const payload = {
            ...pagination,
            perPage: pagination.per_page,
            totalPages: pagination.total_pages,
            currentPage: pagination.current_page || 1,
            total: pagination.total,
            links: pagination.links,
            count: pagination.count || 0,
            page: pagination.current_page,
            itemsPerPage: pagination.per_page,
            pageCount: pagination.total_pages,
            itemsLength: pagination.total,
            pageStart: 0,
            pageStop: pagination.count,
            include,
        };
        return super.fetch(payload, true);
    }
}
exports.default = PaginationTransformer;
